#ifndef SDLVISUALMANAGER_H
#define SDLVISUALMANAGER_H

#include "IVisualManager.h"

struct SDL_Surface;

namespace Salamander
{

class SDLVisualManager : public IVisualManager
{
	friend class Application;

public:
	registerManager();
	virtual ~SDLVisualManager();
	
	virtual bool startup();
	virtual bool shutdown();

protected:
	SDLVisualManager();

	virtual void preRender();
	virtual void render(const Visual& visual);
	virtual void postRender();

private:
	SDL_Surface* window_;

};

}

#endif // SDLVISUALMANAGER_H

